#!/bin/bash

set -e
set -o pipefail

name="spin-containerd-shim-installer"
chart="oci://ghcr.io/fermyon/charts/spin-containerd-shim-installer"
version="0.10.0"
values_file="spin.values.yaml"

output=k8s/spin.yaml

rm -rf "$(dirname $output)"
mkdir -p "$(dirname $output)"

helm template "$name" "$chart" --version "$version" --include-crds -f "$values_file" > $output
